com.microfocus.awm.model

## Enum EPropertyValueType

- java.lang.Object
- - java.lang.Enum<EPropertyValueType>
  - - com.microfocus.awm.model.EPropertyValueType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPropertyValueType>

      public enum EPropertyValueType
      extends java.lang.Enum<EPropertyValueType>

  Enumeration to determine where the value for an `IPropertyValue` was taken from.

  Copyright (C) Micro Focus

  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_PROPERTY` The Property is defined as Application Property in the model and does not come from a `STATIC_MASTER_CONFIGURATION`
    `CUSTOM` For custom created Property Values.
    `ELEMENT` Element Property (from `RElementProperty` relationship)
    `ELEMENT_LIST` Elementlist Property
    `ELEMENT_LIST_ENTRY` Elementlist Entry Property (no `RElementProperty` relationship was defined but a tool returned the Property for an Element entry)
    `FILTER` Filter Property (from `RFilterFiltercriterion` relationship)
    `PARENT` The Property was inherited from a parent (or grand parent, grant grant parent, etc.)
    `STATIC_MASTER_CONFIGURATION` The Property was defined in a master configuration.
    `UNKNOWN` The default value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLiteral()` Gets the literal (label) of the property value type
    `static EPropertyValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPropertyValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUSTOM

          public static final EPropertyValueType CUSTOM

      For custom created Property Values.

    - #### ELEMENT

          public static final EPropertyValueType ELEMENT

      Element Property (from `RElementProperty` relationship)

    - #### ELEMENT_LIST

          public static final EPropertyValueType ELEMENT_LIST

      Elementlist Property

    - #### ELEMENT_LIST_ENTRY

          public static final EPropertyValueType ELEMENT_LIST_ENTRY

      Elementlist Entry Property (no `RElementProperty` relationship was defined but a tool returned the Property for an Element entry)

    - #### FILTER

          public static final EPropertyValueType FILTER

      Filter Property (from `RFilterFiltercriterion` relationship)

    - #### PARENT

          public static final EPropertyValueType PARENT

      The Property was inherited from a parent (or grand parent, grant grant parent, etc.)

    - #### STATIC_MASTER_CONFIGURATION

          public static final EPropertyValueType STATIC_MASTER_CONFIGURATION

      The Property was defined in a master configuration.

    - #### APPLICATION_PROPERTY

          public static final EPropertyValueType APPLICATION_PROPERTY

      The Property is defined as Application Property in the model and does not come from a `STATIC_MASTER_CONFIGURATION`

    - #### UNKNOWN

          public static final EPropertyValueType UNKNOWN

      The default value. Should not be set manually. Use `CUSTOM` for custom created property values.

  - ### Method Detail

    - #### values

          public static EPropertyValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPropertyValueType c : EPropertyValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPropertyValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLiteral

          public java.lang.String getLiteral()

      Gets the literal (label) of the property value type
      Returns:
        the literal

Copyright © 2015 Micro Focus GmbH. All rights reserved.